%global momorel 10
%ifarch ppc64
%global optflags %(echo %{optflags} -mminimal-toc)
%endif

%{?!NODEBUGINFO: %define NODEBUGINFO 0}
%{?!LIBDHCP4CLIENT: %define LIBDHCP4CLIENT 1}
%{?!DHCLIENT_EXTENDED_OPTION_ENVIRONMENT:%define DHCLIENT_EXTENDED_OPTION_ENVIRONMENT 1}
Summary: A DHCP (Dynamic Host Configuration Protocol) server and relay agent.
%define workdir work.linux-2.2

Name:    dhcp
Version: 3.0.5
Release: %{momorel}m%{?dist}
License: Modified BSD
Group: System Environment/Daemons
%NoSource 0 ftp://ftp.isc.org/isc/dhcp/dhcp-%{version}.tar.gz ce5d30d4645e4eab1f54561b487d1ec7
Source1: dhcpd.conf.sample
Source2: dhcpd.init
Source3: dhcrelay.init
Source4: dhcpd.conf
Source5: libdhcp4client.pc
Source6: README.ldap
Source7: draft-ietf-dhc-ldap-schema-01.txt
Source8: dhcpd-conf-to-ldap
Source9: linux.dbus-example
Source10: linux
Source11: Makefile.dist
Source12: dhcp4client.h
Source13: libdhcp_control.h

Patch0:   %{name}-3.0.5-version.patch
Patch1:   %{name}-3.0.5-Makefile.patch
Patch2:   %{name}-3.0.5-warnings.patch
Patch3:   %{name}-3.0.5-extended-new-option-info.patch
Patch4:   %{name}-3.0.5-errwarn-message.patch
Patch5:   %{name}-3.0.5-ldap-configuration.patch
Patch6:   %{name}-3.0.5-memory.patch
Patch7:   %{name}-3.0.5-options.patch
Patch8:   %{name}-3.0.5-release-by-ifup.patch
Patch9:   %{name}-3.0.5-dhclient-decline-backoff.patch
Patch10:  %{name}-3.0.5-enable-timeout-functions.patch
Patch11:  %{name}-3.0.5-inherit-leases.patch
Patch12:  %{name}-3.0.5-selinux.patch
Patch13:  %{name}-3.0.5-unicast-bootp.patch
Patch14:  %{name}-3.0.5-fast-timeout.patch
Patch15:  %{name}-3.0.5-failover-ports.patch
Patch16:  %{name}-3.0.5-dhclient-usage.patch
Patch17:  %{name}-3.0.5-default-requested-options.patch
Patch18:  %{name}-3.0.5-prototypes.patch
Patch19:  %{name}-3.0.5-manpages.patch
Patch20:  %{name}-3.0.5-libdhcp4client.patch
Patch21:  %{name}-3.0.5-xen-checksum.patch

URL: http://isc.org/products/DHCP/
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires(post): chkconfig, coreutils
Requires(preun): chkconfig
Requires(postun): coreutils
BuildRequires:  groff perl
#BuildRequires: compat-gcc >= 8-3.3.4.2   groff

%description
DHCP (Dynamic Host Configuration Protocol) is a protocol which allows
individual devices on an IP network to get their own network
configuration information (IP address, subnetmask, broadcast address,
etc.) from a DHCP server. The overall purpose of DHCP is to make it
easier to administer a large network.  The dhcp package includes the
ISC DHCP service and relay agent.

To use DHCP on your network, install a DHCP service (or relay agent),
and on clients run a DHCP client daemon.  The dhcp package provides
the ISC DHCP service and relay agent.

%package -n dhclient
Summary: Provides the dhclient ISC DHCP client daemon and dhclient-script
Requires: initscripts >= 6.75
Group: System Environment/Base
Obsoletes: dhcpcd

%description -n dhclient
DHCP (Dynamic Host Configuration Protocol) is a protocol which allows
individual devices on an IP network to get their own network
configuration information (IP address, subnetmask, broadcast address,
etc.) from a DHCP server. The overall purpose of DHCP is to make it
easier to administer a large network.

To use DHCP on your network, install a DHCP service (or relay agent),
and on clients run a DHCP client daemon.  The dhclient package 
provides the ISC DHCP client daemon.

%package devel
Summary: Development headers and libraries for interfacing to the DHCP server
Group: Development/Libraries
Requires: dhcp = %{version}-%{release}

%description devel
Libraries for interfacing with the ISC DHCP server.

%package static
Summary: Static archives of libdhcpctl and libomapi
Group: Development/Libraries
Requires: dhcp-devel = %{version}-%{release}, openldap-devel

%description static
The dhcp-static package contains the static archive for
libdhcpctl and libomapi.

%package -n     libdhcp4client
Summary: The ISC DHCP IPv4 client in a library for invocation from other programs
Group:   Development/Libraries

%description -n libdhcp4client
The Internet Software Consortium (ISC) Dynamic Host Configuration Protocol (DHCP)
Internet Protocol version 4 (IPv4) client software in a library suitable for
linkage with and invocation by other programs.

%package -n     libdhcp4client-devel
Summary: Header files for development with the ISC DHCP IPv4 client library
Group:   Development/Libraries

%description -n libdhcp4client-devel
Header files for development with the Internet Software Consortium (ISC)
Dynamic Host Configuration Protocol (DHCP) Internet Protocol version 4 (IPv4)
client library .

%package -n libdhcp4client-static
Summary: Static archive for libdhcp4client
Group: Development/Libraries
Requires: libdhcp4client-devel = %{version}-%{release}

%description -n libdhcp4client-static
The libdhcp4client-static package contains the static archive for
libdhcp4client.

%prep
%setup -q

# Add -RedHat to the version number
%patch0 -p1 -b .version

# Use $(MAKE) and $(CC) in the Makefiles
%patch1 -p1 -b .Makefile

# Fix up anything that fails -Wall -Werror
%patch2 -p1 -b .warnings

# Extended new option info patch.  Adds the -x option to dhclient, which is
# needed for dhcdbd and NetworkManager
%patch3 -p1 -b .enoi

# Replace the standard ISC warning message about requesting help with an
# explanation that this is a patched build of ISC DHCP and bugs should be
# reported through bugzilla.redhat.com
%patch4 -p1 -b .message

# Add support for dhcpd.conf data in LDAP
%patch5 -p1 -b .ldap

# Fix memory alignment and initialization problems in common/packet.c
# Fix buffer overflow in minires library
# Init struct sock_prog in common/lpf.c to NULL
%patch6 -p1 -b .memory

# Add more dhclient options (-I, -B, -H, -F, -T, -V, and -R)
%patch7 -p1 -b .options

# Handle releasing interfaces requested by /sbin/ifup
# pid file is assumed to be /var/run/dhclient-$interface.pid
%patch8 -p1 -b .release

# If we receive a DHCP offer in dhclient and it's DECLINEd in dhclient-script,
# backoff for an amount of time before trying again
%patch9 -p1 -b .decline

# Enable cancel_all_timeouts() and relinquish_timeouts() regardless of
# the DEBUG_MEMORY_LEAKAGE_ON_EXIT macro
%patch10 -p1 -b .etf

# Inherit active leases
%patch11 -p1 -b .inherit

# Close lease file before exec to fix SELinux error message
%patch12 -p1 -b .selinux

# Support unicast BOOTP for IBM pSeries systems (and maybe others)
%patch13 -p1 -b .unicast

# Fast timeout for dhclient
%patch14 -p1 -b .fast

# Use the following IANA-registered failover ports:
# dhcp-failover 647/tcp
# dhcp-failover 647/udp
# dhcp-failover 847/tcp
# dhcp-failover 847/udp
%patch15 -p1 -b .failover

# Update the usage screen for dhclient(8) indicating new options
# Use printf() rather than log_info() to display the information
# Also, return EXIT_FAILURE when the usage() screen is displayed (stop parsing)
%patch16 -p1 -b .usage

# Add NIS domain, NIS servers, and NTP servers to the list of default
# requested DHCP options
%patch17 -p1 -b .dho

# Add missing prototypes to take care of gcc warnings
# in dst/dst_api.c: add b64_pton() and b64_ntop()
# in includes/minires/minires.h: remove macro for b64_pton
# in minires/res_mkupdate.c: add b64_pton() and dn_comp()
# in minires/res_comp.c: add ns_name_uncompress(), ns_name_compress(), and
#                        ns_name_skip()
# in minires/res_init.c: add res_randomid()
%patch18 -p1 -b .prototypes

# Man page updates explaining new features added from the above patches.
# Normally these man page changes would be included in the feature patch,
# however, man page changes generate more hunk failures when applying only
# a select set of patches.  Instead, the man page changes are grouped
# together in one patch so changes can be made to just those more easily
# and not affect the code changes in the other patches.  It's actually
# pretty common to update or alter these man pages independent of the code
# changes.
%patch19 -p1 -b .manpages

# Add the libdhcp4client target (library version of dhclient)
%patch20 -p1 -b .libdhcp4client

# Handle Xen partial UDP checksums
%patch21 -p1 -b .xen


# Copy in documentation and example scripts for LDAP patch to dhcpd
%{__install} -p -m 0644 %SOURCE6 .
%{__install} -p -m 0644 %SOURCE7 doc
%{__install} -p -m 0755 %SOURCE8 contrib

# Copy in example dhclient script for use with D-BUS (requires extended
# new option info patch too)
%{__install} -p -m 0755 %SOURCE9 client/scripts

# Copy in the Fedora/RHEL dhclient script
%{__install} -p -m 0755 %SOURCE10 client/scripts

# Copy in the libdhcp4client headers and Makefile.dist
%{__mkdir} -p libdhcp4client
%{__install} -p -m 0644 %SOURCE11 libdhcp4client
%{__install} -p -m 0644 %SOURCE12 libdhcp4client
%{__install} -p -m 0644 %SOURCE13 libdhcp4client

# Ensure we don't pick up Perl as a dependency from the scripts and modules
# in the contrib directory (we copy this to /usr/share/doc in the final
# package).
%{__cp} -a contrib __fedora_contrib
%{__chmod} -x __fedora_contrib/3.0b1-lease-convert
%{__chmod} -x __fedora_contrib/dhcpd-conf-to-ldap
%{__mv} __fedora_contrib/ms2isc/Registry.pm __fedora_contrib/ms2isc/Registry.perlmodule

# We want UNIX-style line endings
%{__sed} -i -e 's/\r//' __fedora_contrib/ms2isc/readme.txt
%{__sed} -i -e 's/\r//' __fedora_contrib/ms2isc/Registry.perlmodule
%{__sed} -i -e 's/\r//' __fedora_contrib/ms2isc/ms2isc.pl

%build

cp %SOURCE1 .
cat <<EOF >site.conf
VARDB=%{_localstatedir}/lib/dhcpd
ADMMANDIR=%{_mandir}/man8
FFMANDIR=%{_mandir}/man5
LIBMANDIR=%{_mandir}/man3
USRMANDIR=%{_mandir}/man1
LIBDIR=%{_libdir}
INCDIR=%{_includedir}
EOF
cat <<EOF >>includes/site.h
#define _PATH_DHCPD_DB          "%{_localstatedir}/lib/dhcpd/dhcpd.leases"
#define _PATH_DHCLIENT_DB       "%{_localstatedir}/lib/dhclient/dhclient.leases"
EOF

# Disable gcc's strict aliasing since ISC code tends to cast a lot.
##
## Use -fvisibility=hidden for libdhcp4client.  The way that library is
## constructed, we need to follow the hide-by-default/expose-what-we-need
## plan for the library API.
#COPTS="-fPIC -Werror -Dlint -fno-strict-aliasing -fvisibility=hidden"
COPTS="-fPIC -Werror -Dlint -fno-strict-aliasing"

# DO NOT use the %%configure macro because this configure script is not autognu
CC="%{__cc}" ./configure \
   --copts "$RPM_OPT_FLAGS $COPTS %{?bigptrs} -DEXTENDED_NEW_OPTION_INFO" \
   --work-dir %{workdir}

sed 's/@DHCP_VERSION@/'%{version}'/' < %SOURCE5 >libdhcp4client.pc
sed 's/@DHCP_VERSION@/%{version}/' < %SOURCE5 > libdhcp4client.pc
%{__make} %{?_smp_mflags} CC="%{__cc}"

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/etc/sysconfig

make install DESTDIR=%{buildroot}

mkdir -p %{buildroot}%{_initscriptdir}
install -m 0755 %SOURCE2 %{buildroot}%{_initscriptdir}/dhcpd

touch %{buildroot}%{_localstatedir}/lib/dhcpd/dhcpd.leases
mkdir -p  %{buildroot}%{_localstatedir}/lib/dhclient/
cat <<EOF > %{buildroot}/etc/sysconfig/dhcpd
# Command line options here
DHCPDARGS=
EOF

install -m0755 %SOURCE3 %{buildroot}%{_initscriptdir}/dhcrelay

cat <<EOF > %{buildroot}/etc/sysconfig/dhcrelay
# Command line options here
INTERFACES=""
DHCPSERVERS=""
EOF

# Copy sample dhclient.conf file into position
cp client/dhclient.conf dhclient.conf.sample
chmod 755 %{buildroot}/sbin/dhclient-script
#
# Create per-package copies of dhcp-options and dhcp-eval common man-pages:
cp -fp %{buildroot}%{_mandir}/man5/dhcp-options.5 %{buildroot}%{_mandir}/man5/dhcpd-options.5
cp -fp %{buildroot}%{_mandir}/man5/dhcp-options.5 %{buildroot}%{_mandir}/man5/dhclient-options.5
cp -fp %{buildroot}%{_mandir}/man5/dhcp-eval.5 %{buildroot}%{_mandir}/man5/dhcpd-eval.5
cp -fp %{buildroot}%{_mandir}/man5/dhcp-eval.5 %{buildroot}%{_mandir}/man5/dhclient-eval.5

# Install default (empty) dhcpd.conf:
cp -fp %SOURCE4 %{buildroot}/etc

install -p -m 0644 -D libdhcp4client.pc %{buildroot}%{_libdir}/pkgconfig/libdhcp4client.pc

# Sources files can't be symlinks for debuginfo package generation
find %{workdir} -type l |

while read f; do 
    rm -f linkderef
    cp $f linkderef
    rm -f $f
    mv linkderef $f
done

%clean
rm -rf %{buildroot}

%post
/sbin/chkconfig --add dhcpd
/sbin/chkconfig --add dhcrelay
exit 0

%preun
if [ $1 = 0 ]; then	# execute this only if we are NOT doing an upgrade
    service dhcpd stop >/dev/null 2>&1
    service dhcrelay stop >/dev/null 2>&1
    /sbin/chkconfig --del dhcpd 
    /sbin/chkconfig --del dhcrelay
fi

%postun
if [ "$1" -ge "1" ]; then
    service dhcpd condrestart >/dev/null 2>&1
    service dhcrelay condrestart >/dev/null 2>&1
fi
exit 0

%post -n libdhcp4client -p /sbin/ldconfig

%postun -n libdhcp4client -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc README RELNOTES dhcpd.conf.sample doc/*
%dir %{_localstatedir}/lib/dhcpd
%verify(not size md5 mtime) %config(noreplace) %{_localstatedir}/lib/dhcpd/dhcpd.leases
%config(noreplace) %{_sysconfdir}/sysconfig/dhcpd
%config(noreplace) %{_sysconfdir}/sysconfig/dhcrelay
%config(noreplace) %{_sysconfdir}/dhcpd.conf
%config %{_initscriptdir}/dhcpd
%config %{_initscriptdir}/dhcrelay
%{_bindir}/omshell
%{_sbindir}/dhcpd
%{_sbindir}/dhcrelay
%{_mandir}/man1/omshell.1*
%{_mandir}/man5/dhcpd.conf.5*
%{_mandir}/man5/dhcpd.leases.5*
%{_mandir}/man8/dhcpd.8*
%{_mandir}/man8/dhcrelay.8*
%{_mandir}/man5/dhcpd-options.5*
%{_mandir}/man5/dhcpd-eval.5*
%{_mandir}/man5/dhcp-options.5.*
%{_mandir}/man5/dhcp-eval.5.*

%files -n dhclient
%defattr(-,root,root)
%doc dhclient.conf.sample
%dir %{_localstatedir}/lib/dhclient
/sbin/dhclient
/sbin/dhclient-script
%{_mandir}/man5/dhclient.conf.5*
%{_mandir}/man5/dhclient.leases.5*
%{_mandir}/man5/dhclient-eval.5*
%{_mandir}/man5/dhclient-options.5*
%{_mandir}/man8/dhclient.8*
%{_mandir}/man8/dhclient-script.8*

%files devel
%defattr(-,root,root)
%exclude %{_libdir}/libdhcp4client*
%exclude %{_includedir}/dhcp4client
%{_includedir}/*
%{_mandir}/man3/*

%files static
%defattr(-,root,root,-)
%{_libdir}/libdhcpctl.a
%{_libdir}/libomapi.a

%files -n libdhcp4client
%defattr(-,root,root,-)
%{_libdir}/libdhcp4client-%{version}.so.*

%files -n libdhcp4client-devel
%defattr(0644,root,root,0755)
%{_includedir}/dhcp4client*
%{_libdir}/pkgconfig/libdhcp4client.pc
%{_libdir}/libdhcp4client.so

%files -n libdhcp4client-static
%defattr(0644,root,root,0755)
%{_libdir}/libdhcp4client.a

%changelog
* Mon Jul 23 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.0.5-10m)
- move start up script from %%{_initrddir} to %%{_initscriptdir}

* Sun Jun 10 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.0.5-9m)
- remove static archive from devel package

* Sun Jun 10 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.0.5-8m)
- fix Requires (remove epock)

* Sat Jun  9 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (3.0.5-7m)
- sync Fedora

* Sun Apr 22 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (3.0.5-6m)
- add sub-package libdhcp4client-static

* Tue Mar 13 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (3.0.5-5m)
- support gcc-4.2
-- dhcp-3.0.5-gcc42.patch

* Thu Mar  8 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (3.0.5-4m)
- sync fc-devel(3.0.5-25)

* Tue Feb 12 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (3.0.5-2m)
- sync fc-devel

* Wed Jan 24 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (3.0.5-1m)
- update 3.0.5

* Sun Jan  7 2007 Dai OKUYAMA <dai@ouchi.nahi.to>
- (3.0.4-3m)
- enable ppc64

* Sun Jul  2 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (3.0.4-2m)
- merge from fc-devel 3.0.4-17

* Sat Jun 24 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (3.0.4-1m)
- merge from fc-devel 3.0.4-14

* Sun Jun 18 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (3.0.3-2m)
- merge from fc5 3.0.3-26

* Wed Jan 04 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (3.0.3-1m)
- merge from fc-devel 3.0.3-18

-* Tue Dec 20 2005 Jason Vas Dias <jvdias@redhat.com> - 11:3.0.3-18
-- fix bug 176270: allow routers with an octet of 255 in their IP address
-
-* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
-- rebuilt
-
-* Mon Dec 05 2005 Jason Vas Dias <jvdias@redhat.com> - 11:3.0.3-16
-- fix gcc 4.1 compile warnings (-Werror)
-
-* Fri Nov 19 2005 Jason Vas Dias <jvdias@redhat.com> - 11:3.0.3-12
-- fix bug 173619: dhclient-script should reconfig on RENEW if 
-                  subnet-mask, broadcast-address, mtu, routers, etc.
-		  have changed
-- apply upstream improvements to trailing nul options fix of bug 160655
-  
-* Tue Nov 15 2005 Jason Vas Dias <jvdias@redhat.com> - 11:3.0.3-11
-- Rebuild for FC-5
-- fix bug 167028 - test IBM's unicast bootp patch (from xma@us.ibm.com)
-- fix bug 171312 - silence chkconfig error message if ypbind not installed
-- fix dhcpd.init when -cf arg given to dhcpd
-- make dhcpd init touch /var/lib/dhcpd/dhcpd.leases, not /var/lib/dhcp/dhcpd.leases
-
-* Tue Oct 18 2005 Jason Vas Dias <jvdias@redhat.com> - 11:3.0.3-10
-- Allow dhclient route metrics to be specified with DHCP options:
-  The dhcp-options(5) man-page states:
-  'option routers ... Routers should be listed in order of preference' 
-  and
-  'option static-routes ... are listed in descending order of priority' .
-  No preference / priority could be set with previous dhclient-script .
-  Now, dhclient-script provides: 
-  Default Gateway (option 'routers') metrics:
-    Instead of allowing only one default gateway, if more than one router 
-    is specified in the routers option, routers following the first router
-    will have a 'metric' of their position in the list (1,...N>1).
-  Option static-routes metrics:
-    If a target appears in the list more than once, routes for duplicate
-    targets will have successively greater metrics, starting at 1.
-
-* Mon Oct 17 2005 Jason Vas Dias <jvdias@redhat.com> - 11:3.0.3-8
-- further fix for bug 160655 / ISC bug 15293 - upstream patch:
-  do NOT always strip trailing nulls in the dhcpd server
-- handle static-routes option properly in dhclient-script :
-  trailing 0 octets in the 'target' IP specify the class -
-  ie '172.16.0.0 w.x.y.z' specifies '172.16/16 via w.x.y.z'.
-
-* Fri Sep 23 2005 Jason Vas Dias <jvdias@redhat.com> - 11:3.0.3-7
-- fix bug 169164: separate /var/lib/{dhcpd,dhclient} directories
-- fix bug 167292: update failover port info in dhcpd.conf.5; give
-                  failover ports default values in server/confpars.c
- 
-* Mon Sep 12 2005 Jason Vas Dias <jvdias@redhat.com> - 11:3.0.3-6
-- fix bug 167273: time-offset should not set timezone by default
-                  tzdata's Etc/* files are named with reverse sign
-                  for hours west - ie. 'GMT+5' is GMT offset -18000seconds.
-
-* Mon Aug 29 2005 Jason Vas Dias <jvdias@redhat.com> - 11:3.0.3-4
-- fix bug 166926: make dhclient-script handle interface-mtu option
-  make dhclient-script support /etc/dhclient{,-$IF}-{up,down}-hooks scripts
-  to allow easy customization to support other non-default DHCP options -
-  documented in 'man 8 dhclient-script' .
-- handle the 'time-offset' DHCP option, requested by default.
-
-* Tue Aug 23 2005 Jason Vas Dias <jvdias@redhat.com> - 11:3.0.3-3
-- fix bug 160655: strip trailing '\0' bytes from text options before append
-- fix gcc4 compiler warnings ; now compiles with -Werror
-- add RPM_OPT_FLAGS to link as suggested in gcc man-page on '-pie' option
-- change ISC version string to 'V3.0.3-RedHat' at request of ISC
-
-* Tue Aug  9 2005 Jeremy Katz <katzj@redhat.com> - 11:3.0.3-2
-- don't explicitly require 2.2 era kernel, it's fairly overkill at this point
-
-* Fri Jul 29 2005 Jason Vas Dias <jvdias@redhat.com> 11:3.0.3-1
-- Upgrade to upstream version 3.0.3 
-- Don't apply the 'default boot file server' patch: legacy
-  dhcp behaviour broke RFC 2131, which requires that the siaddr
-  field only be non-zero if the next-server or tftp-server-name
-  options are specified.
-- Try removing the 1-5 second wait on dhclient startup altogether.
-- fix bug 163367: supply default configuration file for dhcpd
- 
-* Thu Jul 14 2005 Jason Vas Dias <jvdias@redhat.com> 10:3.0.3rc1-1
-- Upgrade to upstream version 3.0.3rc1
-- fix bug 163203: silence ISC blurb on configtest 
-- fix default 'boot file server' value (packet->siaddr):
-  In dhcp-3.0.2(-), this was defaulted to the server address;
-  now it defaults to 0.0.0.0 (a rather silly default!) and 
-  must be specified with the 'next-server' option ( not the tftp-boot-server option ?!?)
-  which causes PXE boot clients to fail to load anything after the boot file.
-

* Sun Mar 27 2005 Mitsuru Shimamura <smbd@momonga-linux.org>
- (3.0.2-1m)
- up to 3.0.2

* Sat Jan  7 2005 Toru Hoshina <t@momonga-linux.org>
- (3.0.1-2m)
- '__attribute__ ((mode (__byte__)))' doesn't work on gcc-3.4.3 env.
 
* Sat Jul 17 2004 Masahiro Takahata <takahata@momonga-linux.org>
- (3.0.1-1m)
- import patch from rawhide

* Sun May 16 2004 Masahiro Takahata <takahata@momonga-linux.org>
- (3.0pl2-1m)
- verup

* Thu Oct 16 2003 Ryu SASAOKA <ryu@momonga-linux.org>
- (3.0.1-0.12.3m)
- adapt the License: preamble for the Momonga Linux license
  expression unification policy (draft)

* Mon Sep 15 2003 YAMAZAKI Makoto <zaki@zakky.org>
- (3.0.1-0.12.2m)
- dhclient
- dhcp-devel

* Sat Aug 30 2003 YAMAZAKI Makoto <zaki@zakky.org>
- (3.0.1-0.12.1m)
- update to 3.0.1rc12

* Thu Jan 16 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (3.0.1-0.11.1m)
- [security fix] see http://www.cert.org/advisories/CA-2003-01.html
- update to 3.0.1rc11

* Fri Nov  8 2002 YAMAZAKI Makoto <uomaster@nifty.com>
- (3.0.1-0.10.1m)
- update to 3.0.1rc10

* Sat Sep 28 2002 YAMAZAKI Makoto <uomaster@nifty.com>
- (3.0.1-0.9.1m)
- update to 3.0.1rc9
- add URL tag


* Thu May  9 2002 Kazuhiko <kazuhiko@kondara.org>
- (3.0-8k)
- 3.0pl1
- security fix version (http://www.cert.org/advisories/CA-2002-12.html)

* Mon Jan 28 2002 Kazuhiko <kazuhiko@kondara.org>
- (3.0-6k)
- make empty dhcpd.leases if not present

* Fri Dec 14 2001 Toru Hoshina <t@kondara.org>
- (3.0-4k)
- revised dhcpd.conf.sample.

* Fri Oct 19 2001 Toru Hoshina <t@kondara.org>
- (3.0-2k)
- merge from Jirai.

* Fri Oct 05 2001 Motonobu Ichimura <famao@kondara.org>
- (3.0-3k)
- 3.0 official release

* Fri Apr 13 2001 Shingo Akagaki <dora@kondara.org>
- /etc/rc.d/init.d -> /etc/init.d

* Sat Feb  3 2001 Daiki Matsuda <dyky@df-usa.com>
- (2.0-21k)
- rebuild againt rpm-3.0.5-39k

* Sat Dec  2 2000 Daiki Matsuda <dyky@df-usa.com>
- (2.0-19k)
- modified dhcp-2.0-buildroot.patch and spec filie for compatiblity

* Tue Nov 28 2000 Toru Hoshina <toru@df-usa.com>
- use _initscriptdir macro to keep backword compatibility.

* Fri Aug 18 2000 Toru Hoshina <t@kondara.org>
- merge from pinstripe.

* Wed Jul 19 2000 Jakub Jelinek <jakub@redhat.com>
- rebuild to cope with glibc locale binary incompatibility

* Sat Jul 15 2000 Bill Nottingham <notting@redhat.com>
- move initscript back

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Fri Jul  7 2000 Florian La Roche <Florian.LaRoche@redhat.com>
- /etc/rc.d/init.d -> /etc/init.d
- fix /var/state/dhcp -> /var/lib/dhcp

* Fri Jun 16 2000 Preston Brown <pbrown@redhat.com>
- condrestart for initscript, graceful upgrades.

* Thu Feb 03 2000 Erik Troan <ewt@redhat.com>
- gzipped man pages
- marked /etc/rc.d/init.d/dhcp as a config file

* Mon Jan 24 2000 Jakub Jelinek <jakub@redhat.com>
- fix booting of JavaStations
  (reported by Pete Zaitcev <zaitcev@metabyte.com>).
- fix SIGBUS crashes on SPARC (apparently gcc is too clever).

* Fri Sep 10 1999 Bill Nottingham <notting@redhat.com>
- chkconfig --del in %preun, not %postun

* Mon Aug 16 1999 Bill Nottingham <notting@redhat.com>
- initscript munging

* Fri Jun 25 1999 Jeff Johnson <jbj@redhat.com>
- update to 2.0.

* Fri Jun 18 1999 Bill Nottingham <notting@redhat.com>
- don't run by default

* Wed Jun  2 1999 Jeff Johnson <jbj@redhat.com>
- update to 2.0b1pl28.

* Tue Apr 06 1999 Preston Brown <pbrown@redhat.com>
- strip binaries

* Mon Apr 05 1999 Cristian Gafton <gafton@redhat.com>
- copy the source file in %prep, not move

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 4)

* Mon Jan 11 1999 Erik Troan <ewt@redhat.com>
- added a sample dhcpd.conf file
- we don't need to dump rfc's in /usr/doc

* Sun Sep 13 1998 Cristian Gafton <gafton@redhat.com>
- modify dhcpd.init to exit if /etc/dhcpd.conf is not present

* Sat Jun 27 1998 Jeff Johnson <jbj@redhat.com>
- Upgraded to 2.0b1pl6 (patch1 no longer needed).

* Thu Jun 11 1998 Erik Troan <ewt@redhat.com>
- applied patch from Chris Evans which makes the server a bit more paranoid
  about dhcp requests coming in from the wire

* Mon Jun 01 1998 Erik Troan <ewt@redhat.com>
- updated to dhcp 2.0b1pl1
- got proper man pages in the package

* Tue Mar 31 1998 Erik Troan <ewt@redhat.com>
- updated to build in a buildroot properly
- don't package up the client, as it doens't work very well <sigh>

* Tue Mar 17 1998 Bryan C. Andregg <bandregg@redhat.com>
- Build rooted and corrected file listing.

* Mon Mar 16 1998 Mike Wangsmo <wanger@redhat.com>
- removed the actual inet.d links (chkconfig takes care of this for us)
  and made the %postun section handle upgrades.

* Mon Mar 16 1998 Bryan C. Andregg <bandregg@redhat.com>
- First package.
